Passer au contenu

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
Télécharger la description d'OpenAPI
Langues
Serveurs
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/fr/api/catalog/
Opérations
Opérations
Opérations
Opérations

Lire une liste de clés de jeu par groupe spécifiqueClient-side

Requête

Gets a game key list from the specified group for building a catalog.

Attention

All projects have the limitation to the number of items that you can get in the response. The default and maximum value is 50 items per response. To get more data page by page, use limit and offset fields.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
Sécurité
XsollaLoginUserJWT
Chemin
project_idintegerobligatoire

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemple: 44056
external_idstringobligatoire

External item group ID specified during creation.

Exemple: weapons
Requête
limitinteger>= 1

Nombre maximal d'éléments sur une page.

Exemple: limit=50
offsetinteger>= 0

Numéro de l'élément à partir duquel la liste est générée (le décompte commence à 0).

Exemple: offset=0
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

Par défaut "en"
additional_fields[]Array of strings

La liste des champs supplémentaires. Ces champs figureront dans la réponse si vous les envoyez dans votre requête.

Éléments Enum"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Code pays à deux lettres majuscules selon la norme ISO 3166-1 alpha-2. Consultez la documentation pour obtenir des informations détaillées sur les pays pris en charge par Xsolla et le processus de détermination du pays.

Exemple: country=US
promo_codestring[ 1 .. 128 ] characters

Code unique sensible à la casse. Comprend des lettres et des chiffres.

Exemple: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Affiche les objets à durée limitée qui ne sont pas disponibles pour l'utilisateur. La période de validité de ces objets n'ayant pas commencé ou ayant déjà expiré.

Par défaut 0
Exemple: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/game/key/group/weapons?limit=50&offset=0&locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Réponses

La liste des clés de jeu a été reçue avec succès.

Corpsapplication/json
has_moreboolean(Pagination_has-more)

Utilisé pour indiquer qu'il y a plus de pages.

itemsArray of objects
Exemple: [{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]},{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}],"description":"Game description","drm_name":"Steam","drm_sku":"steam_key_1","groups":[{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}],"has_keys":true,"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","is_free":false,"is_pre_order":true,"name":"Game name","periods":[{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"com.xsolla.game_1","type":"game_key","virtual_prices":[]},{"attributes":[{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]},{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}],"description":"Game description","drm_name":"Steam","drm_sku":"steam_key_2","groups":[{"external_id":"all","name":"All games"}],"has_keys":true,"image_url":"https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png","is_free":false,"is_pre_order":false,"name":"Game name","periods":[],"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":null,"sku":"com.xsolla.game_2","type":"game_key","virtual_prices":[]}]
items[].​attributesArray of objects(Game-Keys_schemas-client-attributes)

Liste des attributs et de leurs valeurs correspondantes pour l'objet. Peut être utilisée pour le filtrage du catalogue.

items[].​attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

ID unique de l'attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des tirets et des traits bas.

items[].​attributes[].​namestring

Nom de l'attribut.

Exemple: "Genre"
items[].​attributes[].​valuesArray of objects
items[].​attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

ID unique de la valeur d'un attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules, des tirets et des tirets bas.

items[].​attributes[].​values[].​valuestring

Valeur de l'attribut.

Exemple: "Strategy"
items[].​descriptionstring

Description de l'objet.

Exemple: "Game description"
items[].​drm_namestring

Nom du DRM.

Exemple: "Steam"
items[].​drm_skustring

ID unique du DRM. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "steam"
items[].​groupsArray of objects(items_client_groups_response)

Groupes auxquels l'objet appartient.

items[].​groups[].​external_idstring

Identifiant unique du groupe, généralement utilisé pour le référencer dans les requêtes API ou les systèmes externes.

Exemple: "exclusive"
items[].​groups[].​item_order_in_groupinteger

Position de l'objet dans le groupe, utilisée pour déterminer son ordre d'affichage. Ce champ n'est inclus dans la réponse que si elle est demandée via le paramètre de requête additional_fields[].

Exemple: 1
items[].​groups[].​namestring

Nom du groupe.

Exemple: "Exclusive"
items[].​has_keysboolean

Si true, le module Clés de jeu a des clés vendables.

Exemple: false
items[].​image_urlstring

URL de l'image.

Exemple: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
items[].​is_freeboolean(value-is_free)

Détermine la gratuité de l'objet.

items[].​is_pre_orderboolean

Si true, la clé de jeu est en pré-commande et la date de sortie n'est pas dépassée.

Exemple: true
items[].​namestring

Nom de l'objet.

Exemple: "Game name"
items[].​periodsArray of objects(item-periods-response)

Période de vente d'objets.

items[].​periods[].​date_fromstring or null(date-time)

Date de mise en vente de l'objet spécifié.

Exemple: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

Date de retrait de la vente de l'objet spécifié. Peut prendre la valeur null.

Exemple: "2020-08-11T20:00:00+03:00"
items[].​priceobject

Prix de l'objet.

items[].​price.​amountstring

Prix de l'objet avec remise.

Exemple: "2.9900"
items[].​price.​amount_without_discountstring

Prix de l'objet.

Exemple: "2.9900"
items[].​price.​currencystring

Devise du prix de l'article. Code à trois lettres selon ISO 4217.

Exemple: "USD"
items[].​release_datestring or null

Date de publication de la clé de jeu au format ISO 8601.

Exemple: "2020-08-11T10:00:00+03:00"
items[].​skustring

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "game_01"
items[].​typestring

Type d'objet : game_key.

Exemple: "game_key"
items[].​virtual_pricesArray of objects

Prix virtuels.

items[].​virtual_prices[].​amountinteger

Prix de l'objet réduit en monnaie virtuelle.

Exemple: 100
items[].​virtual_prices[].​amount_without_discountinteger

Prix de l'objet.

Exemple: 200
items[].​virtual_prices[].​descriptionstring

Description de la monnaie virtuelle.

Exemple: "Big Rocket - description"
items[].​virtual_prices[].​image_urlstring

Image de la monnaie virtuelle.

Exemple: "http://image.png"
items[].​virtual_prices[].​is_defaultboolean

Indique si le prix est le prix par défaut de l'objet.

Exemple: true
items[].​virtual_prices[].​namestring

Nom de la monnaie virtuelle.

Exemple: "SHOTGUN FOR TRUE RAIDERS"
items[].​virtual_prices[].​skustring

UGS de la monnaie virtuelle.

Exemple: "vc_test"
items[].​virtual_prices[].​typestring

Type de monnaie virtuelle.

Exemple: "virtual_currency"
Réponse
application/json
{ "has_more": true, "items": [ {}, {} ] }

Lire une clé de jeu pour le catalogueClient-side

Requête

Gets a game key for the catalog.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
Sécurité
XsollaLoginUserJWT
Chemin
project_idintegerobligatoire

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemple: 44056
item_skustringobligatoire

UGS de l'objet.

Par défaut "xsollus_basic_edition_steam"
Requête
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

Par défaut "en"
additional_fields[]Array of strings

La liste des champs supplémentaires. Ces champs figureront dans la réponse si vous les envoyez dans votre requête.

Éléments Enum"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Code pays à deux lettres majuscules selon la norme ISO 3166-1 alpha-2. Consultez la documentation pour obtenir des informations détaillées sur les pays pris en charge par Xsolla et le processus de détermination du pays.

Exemple: country=US
promo_codestring[ 1 .. 128 ] characters

Code unique sensible à la casse. Comprend des lettres et des chiffres.

Exemple: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Affiche les objets à durée limitée qui ne sont pas disponibles pour l'utilisateur. La période de validité de ces objets n'ayant pas commencé ou ayant déjà expiré.

Par défaut 0
Exemple: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/game/key/sku/{item_sku}?locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Réponses

La clé de jeu a été reçue avec succès.

Corpsapplication/json
attributesArray of objects(Game-Keys_schemas-client-attributes)

Liste des attributs et de leurs valeurs correspondantes pour l'objet. Peut être utilisée pour le filtrage du catalogue.

Exemple: [{"external_id":"OS","name":"OS","values":[{"external_id":"9d5c5efb7c0f00a00fe4e3583f1215b0050bc723","value":"Windows"}]},{"external_id":"genre","name":"Genre","values":[{"external_id":"23fda05111c125608af8f1fa0e99db45a10ea1cc","value":"Horror"}]}]
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

ID unique de l'attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des tirets et des traits bas.

attributes[].​namestring

Nom de l'attribut.

Exemple: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

ID unique de la valeur d'un attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules, des tirets et des tirets bas.

attributes[].​values[].​valuestring

Valeur de l'attribut.

Exemple: "Strategy"
can_be_boughtboolean(Can_be_bought)

Si true, l'utilisateur peut acheter l'objet.

Exemple: true
descriptionstring

Description de l'objet.

Exemple: "Game description"
drm_namestring

Nom du DRM.

Exemple: "Steam"
drm_skustring

ID unique du DRM. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "steam_key_1"
groupsArray of objects(items_client_groups_response)

Groupes auxquels l'objet appartient.

Exemple: [{"external_id":"all","item_order_in_group":2,"name":"All games"},{"external_id":"Xsolla","item_order_in_group":1,"name":"Xsolla games"}]
groups[].​external_idstring

Identifiant unique du groupe, généralement utilisé pour le référencer dans les requêtes API ou les systèmes externes.

Exemple: "exclusive"
groups[].​item_order_in_groupinteger

Position de l'objet dans le groupe, utilisée pour déterminer son ordre d'affichage. Ce champ n'est inclus dans la réponse que si elle est demandée via le paramètre de requête additional_fields[].

Exemple: 1
groups[].​namestring

Nom du groupe.

Exemple: "Exclusive"
has_keysboolean

Si true, le module Clés de jeu a des clés vendables.

Exemple: true
image_urlstring

URL de l'image.

Exemple: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
is_freeboolean(value-is_free)

Détermine la gratuité de l'objet.

is_pre_orderboolean

Si true, la clé de jeu est en pré-commande et la date de sortie n'est pas dépassée.

Exemple: true
limitsobject or null(Catalog_item_limits)

Limites d'objets.

limits.​per_itemobject or null

Informations sur les limites pour un objet.

limits.​per_item.​availableinteger

Nombre d'objets restants que tous les utilisateurs peuvent acheter.

Exemple: 3
limits.​per_item.​totalinteger

Nombre maximal d'objets que tous les utilisateurs peuvent acheter.

Exemple: 5
limits.​per_userobject or null

Limites d'objets pour un utilisateur.

limits.​per_user.​availableinteger

Nombre d'objets restants que l'utilisateur actuel peut acheter.

Exemple: 3
limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Délai d'actualisation récurrent des limites d'un objet pour un utilisateur.

object or null
limits.​per_user.​totalinteger

Nombre maximal d'objets qu'un utilisateur unique peut acheter.

Exemple: 5
namestring

Nom de l'objet.

Exemple: "Game name"
periodsArray of objects or null(item-periods)

Période de vente d'objets.

Exemple: [{"date_from":"2020-08-11T10:00:00+03:00","date_until":"2020-08-11T20:00:00+03:00"}]
periods[].​date_fromstring(date-time)

Date de mise en vente de l'objet spécifié.

Exemple: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

Date de retrait de la vente de l'objet spécifié. Peut prendre la valeur null.

Exemple: "2020-08-11T20:00:00+03:00"
priceobject

Prix de l'objet.

Exemple: {"amount":"30.5","amount_without_discount":"30.5","currency":"USD"}
price.​amountstring

Prix de l'objet avec remise.

Exemple: "30.5"
price.​amount_without_discountstring

Prix de l'objet.

Exemple: "30.5"
price.​currencystring

Devise du prix de l'article. Code à trois lettres selon ISO 4217.

Exemple: "USD"
promotionsArray of objects(Catalog_item_promotions)

Promotions appliquées à des objets spécifiques du panier. Le tableau est renvoyé dans les cas suivants :

  • Une promotion par réduction est configurée pour un objet spécifique.

  • Un code promo avec le paramètre Discount on selected items est appliqué.

Si aucune promotion de ce type n'est appliquée, un tableau vide est renvoyé.

Exemple: []
promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

Type de lot bonus. Disponible uniquement pour le type d'objet bundle.

Enum"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

URL de l'image de l'objet bonus. Non disponible pour le type d'objet bonus physical_good.

promotions[].​bonus[].​namestring

Nom de l'objet bonus. Non disponible pour le type d'objet bonus physical_good.

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

Type d'objet bonus.

Enum"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
release_datestring

Date de publication de la clé de jeu au format ISO 8601.

Exemple: "2020-08-11T10:00:00+03:00"
skustring

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "com.xsolla.game_1"
typestring

Type d'objet : game_key.

Exemple: "game_key"
virtual_pricesArray of objects

Prix virtuels.

Exemple: []
virtual_prices[].​amountinteger

Prix de l'objet réduit en monnaie virtuelle.

Exemple: 100
virtual_prices[].​amount_without_discountinteger

Prix de l'objet.

Exemple: 200
virtual_prices[].​descriptionstring

Description de la monnaie virtuelle.

Exemple: "Big Rocket - description"
virtual_prices[].​image_urlstring

Image de la monnaie virtuelle.

Exemple: "http://image.png"
virtual_prices[].​is_defaultboolean

Indique si le prix est le prix par défaut de l'objet.

Exemple: true
virtual_prices[].​namestring

Nom de la monnaie virtuelle.

Exemple: "SHOTGUN FOR TRUE RAIDERS"
virtual_prices[].​skustring

UGS de la monnaie virtuelle.

Exemple: "com.xsolla.vc_1"
virtual_prices[].​typestring

Type de monnaie virtuelle.

Exemple: "virtual_currency"
Réponse
application/json
{ "attributes": [ {}, {} ], "can_be_bought": true, "description": "Game description", "drm_name": "Steam", "drm_sku": "steam_key_1", "groups": [ {}, {} ], "has_keys": true, "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "is_free": false, "is_pre_order": true, "limits": null, "name": "Game name", "periods": [ {} ], "price": { "amount": "30.5", "amount_without_discount": "30.5", "currency": "USD" }, "promotions": [], "release_date": "2020-08-11T10:00:00+03:00", "sku": "com.xsolla.game_1", "type": "game_key", "virtual_prices": [] }

Requête

Gets a game for the catalog.

Note

This API call returns generic item catalog data when used without authorization. Use authorization to retrieve personalized user data, such as limits and promotions associated with the item. To do this, pass the user JWT in the Authorization header. For more information about user JWT, see the Security block for this call.
Sécurité
XsollaLoginUserJWT
Chemin
project_idintegerobligatoire

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Exemple: 44056
item_skustringobligatoire

UGS de l'objet.

Par défaut "full_game_1"
Requête
localestring

Response language. Two-letter lowercase language code per ISO 639-1 (for example, en). Five-character locale codes (for example, en-US) are supported in localization fields such as name and description, but are normalized to two-letter codes in responses. You can find the full list of supported languages in the documentation.

Par défaut "en"
additional_fields[]Array of strings

La liste des champs supplémentaires. Ces champs figureront dans la réponse si vous les envoyez dans votre requête.

Éléments Enum"media_list""order""long_description""custom_attributes""item_order_in_group"
countrystring

Code pays à deux lettres majuscules selon la norme ISO 3166-1 alpha-2. Consultez la documentation pour obtenir des informations détaillées sur les pays pris en charge par Xsolla et le processus de détermination du pays.

Exemple: country=US
promo_codestring[ 1 .. 128 ] characters

Code unique sensible à la casse. Comprend des lettres et des chiffres.

Exemple: promo_code=WINTER2021
show_inactive_time_limited_itemsinteger

Affiche les objets à durée limitée qui ne sont pas disponibles pour l'utilisateur. La période de validité de ces objets n'ayant pas commencé ou ayant déjà expiré.

Par défaut 0
Exemple: show_inactive_time_limited_items=1
curl -i -X GET \
  'https://store.xsolla.com/api/v2/project/44056/items/game/sku/{item_sku}?locale=en&additional_fields%5B%5D=media_list&country=US&promo_code=WINTER2021&show_inactive_time_limited_items=1' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Réponses

Le jeu a été reçu avec succès.

Corpsapplication/json
attributesArray of objects(Game-Keys_schemas-client-attributes)

Liste des attributs et de leurs valeurs correspondantes pour l'objet. Peut être utilisée pour le filtrage du catalogue.

attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$

ID unique de l'attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des tirets et des traits bas.

attributes[].​namestring

Nom de l'attribut.

Exemple: "Genre"
attributes[].​valuesArray of objects
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$

ID unique de la valeur d'un attribut. Le external_id ne peut comprendre que des caractères alphanumériques latins minuscules, des tirets et des tirets bas.

attributes[].​values[].​valuestring

Valeur de l'attribut.

Exemple: "Strategy"
descriptionstring

Description de l'objet.

Exemple: "Game description"
groupsArray of objects(items_client_groups_response)

Groupes auxquels l'objet appartient.

groups[].​external_idstring

Identifiant unique du groupe, généralement utilisé pour le référencer dans les requêtes API ou les systèmes externes.

Exemple: "exclusive"
groups[].​item_order_in_groupinteger

Position de l'objet dans le groupe, utilisée pour déterminer son ordre d'affichage. Ce champ n'est inclus dans la réponse que si elle est demandée via le paramètre de requête additional_fields[].

Exemple: 1
groups[].​namestring

Nom du groupe.

Exemple: "Exclusive"
image_urlstring

URL de l'image.

Exemple: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
namestring

Nom de l'objet.

Exemple: "Game name"
promotionsArray of objects(Catalog_item_promotions)

Promotions appliquées à des objets spécifiques du panier. Le tableau est renvoyé dans les cas suivants :

  • Une promotion par réduction est configurée pour un objet spécifique.

  • Un code promo avec le paramètre Discount on selected items est appliqué.

Si aucune promotion de ce type n'est appliquée, un tableau vide est renvoyé.

promotions[].​bonusArray of objects
promotions[].​bonus[].​bundle_typestring

Type de lot bonus. Disponible uniquement pour le type d'objet bundle.

Enum"standard""virtual_currency_package"
promotions[].​bonus[].​image_urlstring

URL de l'image de l'objet bonus. Non disponible pour le type d'objet bonus physical_good.

promotions[].​bonus[].​namestring

Nom de l'objet bonus. Non disponible pour le type d'objet bonus physical_good.

promotions[].​bonus[].​quantityinteger
promotions[].​bonus[].​skustring
promotions[].​bonus[].​typestring

Type d'objet bonus.

Enum"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
promotions[].​date_endstring or null(date-time)
promotions[].​date_startstring or null(date-time)
promotions[].​discountobject or null
promotions[].​discount.​percentstring or null
promotions[].​discount.​valuestring or null
promotions[].​limitsobject
promotions[].​limits.​per_userobject
promotions[].​limits.​per_user.​availableinteger
promotions[].​limits.​per_user.​totalinteger
promotions[].​namestring
skustring

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "game_01"
typestring

Type d'objet : virtual_good/virtual_currency/bundle/physical_good/unit.

Exemple: "unit"
unit_itemsArray of objects
unit_items[].​can_be_boughtboolean(Can_be_bought)

Si true, l'utilisateur peut acheter l'objet.

unit_items[].​drm_namestring

Nom du DRM.

Exemple: "Steam"
unit_items[].​drm_skustring

ID unique du DRM. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "steam"
unit_items[].​has_keysboolean

Si true, le module Clés de jeu a des clés vendables.

Exemple: false
unit_items[].​is_freeboolean(value-is_free)

Détermine la gratuité de l'objet.

unit_items[].​is_pre_orderboolean

Si true, la clé de jeu est en pré-commande et la date de sortie n'est pas dépassée.

Exemple: true
unit_items[].​limitsobject or null(Catalog_item_limits)

Limites d'objets.

unit_items[].​limits.​per_itemobject or null

Informations sur les limites pour un objet.

unit_items[].​limits.​per_item.​availableinteger

Nombre d'objets restants que tous les utilisateurs peuvent acheter.

Exemple: 3
unit_items[].​limits.​per_item.​totalinteger

Nombre maximal d'objets que tous les utilisateurs peuvent acheter.

Exemple: 5
unit_items[].​limits.​per_userobject or null

Limites d'objets pour un utilisateur.

unit_items[].​limits.​per_user.​availableinteger

Nombre d'objets restants que l'utilisateur actuel peut acheter.

Exemple: 3
unit_items[].​limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
unit_items[].​limits.​per_user.​recurrent_schedule(object or null)(catalog_recurrent_schedule_client_response)
One of:

Délai d'actualisation récurrent des limites d'un objet pour un utilisateur.

object or null
unit_items[].​limits.​per_user.​totalinteger

Nombre maximal d'objets qu'un utilisateur unique peut acheter.

Exemple: 5
unit_items[].​periodsArray of objects or null(item-periods)

Période de vente d'objets.

unit_items[].​periods[].​date_fromstring(date-time)

Date de mise en vente de l'objet spécifié.

Exemple: "2020-08-11T10:00:00+03:00"
unit_items[].​periods[].​date_untilstring or null(date-time)

Date de retrait de la vente de l'objet spécifié. Peut prendre la valeur null.

Exemple: "2020-08-11T20:00:00+03:00"
unit_items[].​priceobject

Prix de l'objet.

unit_items[].​price.​amountstring

Prix de l'objet avec remise.

Exemple: "2.9900"
unit_items[].​price.​amount_without_discountstring

Prix de l'objet.

Exemple: "2.9900"
unit_items[].​price.​currencystring

Devise du prix de l'article. Code à trois lettres selon ISO 4217.

Exemple: "USD"
unit_items[].​promotionsArray of objects(Catalog_item_promotions)

Promotions appliquées à des objets spécifiques du panier. Le tableau est renvoyé dans les cas suivants :

  • Une promotion par réduction est configurée pour un objet spécifique.

  • Un code promo avec le paramètre Discount on selected items est appliqué.

Si aucune promotion de ce type n'est appliquée, un tableau vide est renvoyé.

unit_items[].​promotions[].​bonusArray of objects
unit_items[].​promotions[].​bonus[].​bundle_typestring

Type de lot bonus. Disponible uniquement pour le type d'objet bundle.

Enum"standard""virtual_currency_package"
unit_items[].​promotions[].​bonus[].​image_urlstring

URL de l'image de l'objet bonus. Non disponible pour le type d'objet bonus physical_good.

unit_items[].​promotions[].​bonus[].​namestring

Nom de l'objet bonus. Non disponible pour le type d'objet bonus physical_good.

unit_items[].​promotions[].​bonus[].​quantityinteger
unit_items[].​promotions[].​bonus[].​skustring
unit_items[].​promotions[].​bonus[].​typestring

Type d'objet bonus.

Enum"virtual_good""virtual_currency""bundle""physical_good""game_key""nft"
unit_items[].​promotions[].​date_endstring or null(date-time)
unit_items[].​promotions[].​date_startstring or null(date-time)
unit_items[].​promotions[].​discountobject or null
unit_items[].​promotions[].​discount.​percentstring or null
unit_items[].​promotions[].​discount.​valuestring or null
unit_items[].​promotions[].​limitsobject
unit_items[].​promotions[].​limits.​per_userobject
unit_items[].​promotions[].​limits.​per_user.​availableinteger
unit_items[].​promotions[].​limits.​per_user.​totalinteger
unit_items[].​promotions[].​namestring
unit_items[].​release_datestring or null

Date de publication de la clé de jeu au format ISO 8601.

Exemple: "2020-08-11T10:00:00+03:00"
unit_items[].​skustring

ID unique de l'objet. L'UGS ne peut comprendre que des caractères alphanumériques latins minuscules et majuscules, des points, des tirets et des traits bas.

Exemple: "game_01"
unit_items[].​typestring

Type d'objet : game_key.

Exemple: "game_key"
unit_items[].​virtual_pricesArray of objects

Prix virtuels.

unit_items[].​virtual_prices[].​amountinteger

Prix de l'objet réduit en monnaie virtuelle.

Exemple: 100
unit_items[].​virtual_prices[].​amount_without_discountinteger

Prix de l'objet.

Exemple: 200
unit_items[].​virtual_prices[].​descriptionstring

Description de la monnaie virtuelle.

Exemple: "Big Rocket - description"
unit_items[].​virtual_prices[].​image_urlstring

Image de la monnaie virtuelle.

Exemple: "http://image.png"
unit_items[].​virtual_prices[].​is_defaultboolean

Indique si le prix est le prix par défaut de l'objet.

Exemple: true
unit_items[].​virtual_prices[].​namestring

Nom de la monnaie virtuelle.

Exemple: "SHOTGUN FOR TRUE RAIDERS"
unit_items[].​virtual_prices[].​skustring

UGS de la monnaie virtuelle.

Exemple: "vc_test"
unit_items[].​virtual_prices[].​typestring

Type de monnaie virtuelle.

Exemple: "virtual_currency"
unit_items[].​vp_rewardsArray of objects(client-item-value-point-reward)

Récompense en points de valeur pour l'objet.

unit_items[].​vp_rewards[].​amountinteger(value-point-amount)

Montant des points de valeur.

unit_items[].​vp_rewards[].​image_urlstring(Common_admin-image_url)

URL de l'image.

unit_items[].​vp_rewards[].​is_clanboolean(is_clan)

Détermine l'utilisation du point de valeur dans les chaînes de récompense de clan.

unit_items[].​vp_rewards[].​item_idinteger(item_id)

Internal ID unique de l'objet.

unit_items[].​vp_rewards[].​namestring(value-point-name)

Nom du point de valeur.

unit_items[].​vp_rewards[].​skustring(value-point-sku)

ID unique du point de valeur.

unit_typestring

Type d'unité : game.

Exemple: "game"
Réponse
application/json
{ "attributes": [ {}, {} ], "description": "Game description", "groups": [ {}, {} ], "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "name": "Game name", "promotions": [], "sku": "com.xsolla.game_1", "type": "unit", "unit_items": [ {}, {} ], "unit_type": "game" }
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations
Opérations

Catalogue

Cette API permet de récupérer tout type d'objet vendable ou tout objet spécifique.

Opérations
Opérations
Opérations
Opérations
Opérations